> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Signal Typing



## OpenAPI

````yaml /openapi/mio-openapi.json post /api/v1/conversations/{conversation_id}/typing
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/conversations/{conversation_id}/typing:
    post:
      tags:
        - community-conversations
      summary: Signal Typing
      operationId: >-
        community_conversations.post_community_conversations_post_conversations_by_conversation_id_typing
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            title: Conversation Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/TypingSignalEnvelope'
                - type: 'null'
              title: Body
      responses:
        '204':
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    TypingSignalEnvelope:
      properties:
        data:
          $ref: '#/components/schemas/_TypingData'
      required:
        - data
      title: TypingSignalEnvelope
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    _TypingData:
      properties:
        attributes:
          $ref: '#/components/schemas/_TypingAttributes'
          default:
            state: start
        type:
          title: Type
          type: string
      required:
        - type
      title: _TypingData
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    _TypingAttributes:
      properties:
        state:
          default: start
          enum:
            - start
            - stop
          title: State
          type: string
      title: _TypingAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````